Pular para o conteúdo principal
GET
/
workspace
Get current workspace
curl --request GET \
  --url https://api.cut.pro/api/v1/workspace \
  --header 'X-Api-Key: <api-key>'
import requests

url = "https://api.cut.pro/api/v1/workspace"

headers = {"X-Api-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};

fetch('https://api.cut.pro/api/v1/workspace', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "name": "<string>",
  "is_personal": true,
  "status": "<string>",
  "plan_id": "<string>",
  "plan_name": "<string>",
  "plan_is_free": true,
  "credits": 123,
  "seat_count": 123,
  "max_total_seats": 123,
  "member_count": 123,
  "created_at": "<string>"
}
{
"code": "WORKSPACE_NOT_FOUND"
}

Autorizações

X-Api-Key
string
header
obrigatório

Resposta

Response for status 200

id
string
obrigatório

Unique workspace ID

name
string
obrigatório

Workspace name

is_personal
boolean
obrigatório

true if this is the user's personal workspace, false if it is a team workspace

status
string
obrigatório

Workspace status — typically active

role
enum<string>
obrigatório
Opções disponíveis:
admin,
member
plan_id
string
obrigatório

ID of the current subscription plan

plan_name
string | null
obrigatório

Display name of the current plan

plan_is_free
boolean
obrigatório

true if the workspace is on the free plan

credits
number
obrigatório

Current credit balance for this workspace

seat_count
number
obrigatório

Extra purchased seats (legacy; sempre 0)

max_total_seats
number
obrigatório

Maximum total seats available on the current plan, including any plan-included free seats

member_count
number
obrigatório

Total members currently in the workspace, including the owner

created_at
string
obrigatório

ISO 8601 timestamp of when the workspace was created

Última modificação em 7 de julho de 2026